Name: x11-driver-video-i740
Version: 1.4.0
Release: %mkrel 5
Summary: X.org driver for Intel i740
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-i740-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-i740 is the X.org driver for Intel i740.

%prep
%setup -q -n xf86-video-i740-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/i740_drv.so
%{_mandir}/man4/i740.*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.4.0-5.mga10
+ Revision: 2213317
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1837992
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.4.0-3.mga9
+ Revision: 1751705
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 wally <wally> 1.4.0-2.mga8
+ Revision: 1520903
- build only on ix86 and x86_64 (do we even need this pkg anymore?)
- drop .la files
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Dec 08 2018 tv <tv> 1.4.0-1.mga7
+ Revision: 1338922
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.3.6-3.mga7
+ Revision: 1301756
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.3.6-2.mga7
+ Revision: 1207711
- rebuild for xserver 1.20 RC1
- new release

* Thu Nov 17 2016 tv <tv> 1.3.5-1.mga6
+ Revision: 1067889
- new release
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.3.4-16.mga6
+ Revision: 1043241
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.3.4-15.mga6
+ Revision: 963387
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.3.4-14.mga6
+ Revision: 902296
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.3.4-13.mga6
+ Revision: 902054
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.3.4-12.mga6
+ Revision: 836011
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-11.mga5
+ Revision: 746190
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-10.mga5
+ Revision: 690432
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.3.4-9.mga5
+ Revision: 635015
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.3.4-8.mga5
+ Revision: 633675
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.3.4-7.mga5
+ Revision: 614368
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.3.4-6.mga5
+ Revision: 582313
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-5.mga4
+ Revision: 525397
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.3.4-4.mga4
+ Revision: 433162
- submit to core/release

* Fri May 24 2013 tv <tv> 1.3.4-3.mga4
+ Revision: 426056
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.3.4-3.mga3
+ Revision: 385985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.3.4-2.mga3
+ Revision: 288959
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.3.4-1.mga3
+ Revision: 273815
- new release

* Wed Jun 06 2012 tmb <tmb> 1.3.3-3.mga3
+ Revision: 256396
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.3.3-2.mga3
+ Revision: 253009
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.3.3-1.mga3
+ Revision: 249937
- new release

* Tue Dec 06 2011 tmb <tmb> 1.3.2-6.mga2
+ Revision: 177556
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.3.2-5.mga2
+ Revision: 153118
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.3.2-4.mga1
+ Revision: 64397
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.3.2-3.mga1
+ Revision: 50224
- imported package x11-driver-video-i740


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.2-3mdv2011.0
+ Revision: 595742
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.3.2-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 407726
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.1-1mdv2010.0
+ Revision: 391866
- update to version 1.3.1

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 1.3.0-3mdv2009.1
+ Revision: 360628
- new release

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.0-3mdv2009.1
+ Revision: 308217
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 265922
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2009.0
+ Revision: 194196
- Update to version 1.2.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-7mdv2008.1
+ Revision: 165565
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-6mdv2008.1
+ Revision: 156607
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-5mdv2008.1
+ Revision: 154857
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-i740-1.1.0@mandriva suggested on upstream
  Tag at git checkout 5241aee2f633bab3c22b44d6b5f907973924fcd8
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-4mdv2008.1
+ Revision: 98694
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2008.0
+ Revision: 75760
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

